function New-ProjectFolder {
    [CmdletBinding()]
    [OutputType([string])]
    param (
    )
    
    # Create path to the template project folder
    $projectFolder = Join-Path -Path $(Get-Location) -ChildPath ((Get-Date -Format "yyyyMMddHHmm") + "-MyProject\")

    # Create the folder.
    New-Item -ItemType Directory -Force -Path $projectFolder | Out-Null

    return $projectFolder
}